Class | ActiveMerchant::Billing::RealexGateway
In: | lib/active_merchant/billing/gateways/realex.rb
Parent: | Gateway

Realex us the leading CC gateway in Ireland see www.realexpayments.com Contributed by John Ward (john@ward.name) see thinedgeofthewedge.blogspot.com

Realex works using the following login - The unique id of the merchant password - The secret is used to digitally sign the request account - This is an optional third part of the authentication process and is used if the merchant wishes do distuinguish cc traffic from the different sources by using a different account. This must be created in advance

the Realex team decided to make the orderid unique per request, so if validation fails you can not correct and resend using the same order id

### Methods

new purchase

### Constants

URL | = | 'https://epage.payandshop.com/epage-remote.cgi'
CARD_MAPPING | = | { 'master' => 'MC', 'visa' => 'VISA', 'american_express' => 'AMEX', 'diners_club' => 'DINERS', 'switch' => 'SWITCH', 'solo' => 'SWITCH', 'laser' => 'LASER'
DECLINED | = | "Successful", "Declined"
BANK_ERROR | = | REALEX_ERROR = "Gateway is in maintenance. Please try again later."
ERROR | = | CLIENT_DEACTIVATED = "Gateway Error"

### Public Class methods

new(options = {})

### Public Instance methods

purchase(money, credit_card, options = {})

[Validate]